at.chipkarte.client.elgaad.soap

## Class RezeptAusstellenErgebnis

- Object
- - at.chipkarte.client.elgaad.soap.RezeptAusstellenErgebnis

-     public class RezeptAusstellenErgebnis
      extends Object

  Ergebnis der Funktion `rezeptAusstellen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RezeptAusstellenErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendMeldung[]` | `getBackendMeldungList()` Meldungen aus dem Backend.
    `javax.activation.DataHandler` | `getDataMatrixCode()` DataMatrix-Code zum Rezept im PNG-Format.
    `Rezept` | `getRezept()` Rezept.
    `void` | `setBackendMeldungList(BackendMeldung[] backendMeldungList)`
    `void` | `setDataMatrixCode(javax.activation.DataHandler dataMatrixCode)`
    `void` | `setRezept(Rezept rezept)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RezeptAusstellenErgebnis

          public RezeptAusstellenErgebnis()

  - ### Method Detail

    - #### getBackendMeldungList

          public BackendMeldung[] getBackendMeldungList()

      Meldungen aus dem Backend. Siehe `BackendMeldung`.
      Angabe: Kann.
      Returns:
        Liste von Backendmeldungen.

    - #### setBackendMeldungList

          public void setBackendMeldungList(BackendMeldung[] backendMeldungList)

    - #### getRezept

          public Rezept getRezept()

      Rezept. Siehe `Rezept`.
      Angabe: Kann.
      Returns:
        Rezept.

    - #### setRezept

          public void setRezept(Rezept rezept)

    - #### getDataMatrixCode

          public javax.activation.DataHandler getDataMatrixCode()

      DataMatrix-Code zum Rezept im PNG-Format.
      Angabe: Kann.
      Returns:
        SOAP-Attachment.

    - #### setDataMatrixCode

          public void setDataMatrixCode(javax.activation.DataHandler dataMatrixCode)